%global commit 86c90c37dd69ee45155d11e38a77b21eac5dccbe
%global snapdate 20230904

Name:           lexertl14
Summary:        The Modular Lexical Analyser Generator
Version:        0.1.0^%{snapdate}git%(c='%{commit}'; echo "${c:0:7}")
Release:    2%{?dist}

License:        BSL-1.0
URL:            https://github.com/BenHanson/lexertl14
Source0:         %{url}/archive/%{commit}/lexertl14-%{commit}.tar.gz

Patch0:          %{url}/pull/20.patch

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  dos2unix

%global debug_package %{nil}

%global common_description %{expand:
lexertl is a header-only library for writing lexical analysers. With lexertl
you can:

  • Build lexical analysers at runtime
  • Scan Unicode and ASCII input
  • Scan from files or memory
  • Generate C++ code or even write your own code generator}

%description %{common_description}


%package devel
Summary:        %{summary}

Provides:       lexertl14-static = %{version}-%{release}

%description devel %{common_description}


%package examples
Summary:        Examples for lexertl14
BuildArch:      noarch

%description examples
%{summary}.


%prep
%autosetup -n lexertl14-%{commit} -p1
find . -type f -exec file '{}' '+' |
  grep -E '\bCRLF\b' |
  cut -d ':' -f 1 |
  xargs -r dos2unix


%build
%cmake -DBUILD_TESTING:BOOL=on
%cmake_build


%install
%cmake_install


%check
%ctest


%files devel
%license include/lexertl/licence_1_0.txt
%doc README.md

%{_includedir}/lexertl/

%{_libdir}/cmake/lexertl/


%files examples
%license include/lexertl/licence_1_0.txt
%doc examples/*


%changelog
* Tue Jun 10 2025 bbrucezhang <bbrucezhang@tencent.com> - 0.1.0^20230904git86c90c3-2
- Rebuilt for loongarch64

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1.0^20230904git86c90c3-1
- initial build
